osl::rating::Capture Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
osl::rating::Capture Class Reference

`#include <capture.h>`

Inheritance diagram for osl::rating::Capture:
[legend]
Collaboration diagram for osl::rating::Capture:
[legend]

## Public Types
enum | { INF = 999999 }

## Public Member Functions
| Capture (int f, int l)
bool | match (const NumEffectState &state, Move move, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Static Public Member Functions
static int | see (const NumEffectState &state, Move move, const RatingEnv &env)

## Static Private Member Functions
static const std::string | name (int first, int last)

## Private Attributes
int | first
int | last

## Detailed Description

Definition at line 15 of file capture.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
INF |

Definition at line 18 of file capture.h.

## Constructor & Destructor Documentation

osl::rating::Capture::Capture | ( | int | f,
|  | int | l
| ) |  |
| inline

Definition at line 23 of file capture.h.

## Member Function Documentation

bool osl::rating::Capture::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | env
| ) |  | const
| inlinevirtual

Implements osl::rating::Feature.

Definition at line 30 of file capture.h.

References first, last, and see().

const std::string osl::rating::Capture::name | ( | int | first,
|  | int | last
| ) |  |
| staticprivate

Definition at line 6 of file capture.cc.

References first, and INF.

static int osl::rating::Capture::see | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | env
| ) |  |
| inlinestatic

Definition at line 24 of file capture.h.

References osl::rating::RatingEnv::my_pin, and osl::rating::RatingEnv::op_pin.

Referenced by osl::rating::CaptureGroup::findMatch(), and match().

## Member Data Documentation

int osl::rating::Capture::first
| private

Definition at line 20 of file capture.h.

Referenced by match(), and name().

int osl::rating::Capture::last
| private

Definition at line 20 of file capture.h.

Referenced by match().

The documentation for this class was generated from the following files:

- capture.h
- capture.cc